# OpenProject App for YunoHost

[![Invtegration level](https://dash.yunohost.org/integration/Openproject.svg)](https://dash.yunohost.org/appci/app/Openproject)  
[![Install Openproject with YunoHost](https://install-app.yunohost.org/install-with-yunohost.png)](https://install-app.yunohost.org/?app=Openproject)

*[Lire ce readme en français.](./README_fr.md)*

<p align="center">
  <img src="https://upload.wikimedia.org/wikipedia/commons/d/d5/OpenProjectLogo.png">
</p>

*This package allow you to install Openproject quickly and simply on a YunoHost server.  
If you don't have YunoHost, please see [here](https://yunohost.org/#/install) to know how to install and enjoy it.*

** Warning: Still Building! **
- [ ] Remove all the TODOs
- [ ] Perform first install with Vagrant
- [ ] Perform Full install
- [ ] Perform the Package checker
- [ ] Notify YNH Team about publication & testing.

## Overview
OpenProject is a web-based project management software. Its key features are:

- Project planning and scheduling
- Product roadmap and release planning
- Task management and team collaboration
- Agile and Scrum
- Time tracking, cost reporting and budgeting
- Bug tracking
- Wikis
- Forums
- Meeting agendas and meeting minutes

**Shipped version:** 10.0

## Screenshots

![GANTT-Chart displayed y the App.](https://www.openproject.org/wp-content/uploads/2018/09/Gantt-chart.jpg)

## Configuration

After installation, every change can be made directly in the web application.

## Documentation

- [Official documentation here](https://github.com/opf/openproject/tree/stable/10).
- YunoHost documentation: If specific documentation is needed, feel free to contribute!

## YunoHost specific features

#### Multi-users support

LDAP is not embedded yet, neither HTTP authentication support.

#### Supported architectures

- x86-64b - [![Build Status](https://ci-apps.yunohost.org/ci/logs/Openproject%20%28Apps%29.svg)](https://ci-apps.yunohost.org/ci/apps/Openproject/)
- ARMv8-A - [![Build Status](https://ci-apps-arm.yunohost.org/ci/logs/Openproject%20%28Apps%29.svg)](https://ci-apps-arm.yunohost.org/ci/apps/Openproject/)
- Jessie x86-64b - [![Build Status](https://ci-stretch.nohost.me/ci/logs/Openproject%20%28Apps%29.svg)](https://ci-stretch.nohost.me/ci/apps/Openproject/)

## Limitations

- No known limitations :)

## License

This repository is under the GNU AGPL licence v3. Please see [the license file](./LICENSE) for more information.

## Links

- Report a bug: https://github.com/YunoHost-Apps/Openproject_ynh/issues
- App website: https://www.openproject.org/
- Upstream app repository: https://github.com/opf/openproject
- YunoHost website: https://yunohost.org/
